Skip to main content
`Ctrl`+`K`

# PetscScalarView

Prints an array of `PetscScalar`; useful for debugging.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscScalarView(PetscInt N, const PetscScalar idx[], PetscViewer viewer)

Collective

## Input Parameters

- N - number of scalars in array

- idx - array of scalars

- viewer - location to print array, `PETSC_VIEWER_STDOUT_WORLD`, `PETSC_VIEWER_STDOUT_SELF` or 0

## Note

This may be called from within the debugger, passing 0 as the viewer

## Developer Note

`idx` cannot be const because may be passed to binary viewer where byte swapping may be done

## See Also

`PetscViewer`, `PetscIntView()`, `PetscRealView()`

## Level

intermediate

## Location

src/sys/error/err.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages